if (CSS.registerProperty) {
  /* Kinetics x-long duration */
  CSS.registerProperty({
    name: "--c360-g-kx-duration-x-long",
    syntax: "<length>",
    inherits: true,
    initialValue: "600ms",
  });
  /* Kinetics long duration */
  CSS.registerProperty({
    name: "--c360-g-kx-duration-long",
    syntax: "<length>",
    inherits: true,
    initialValue: "400ms",
  });
  /* Kinetics normal duration */
  CSS.registerProperty({
    name: "--c360-g-kx-duration-normal",
    syntax: "<length>",
    inherits: true,
    initialValue: "250ms",
  });
  /* Kinetics short duration */
  CSS.registerProperty({
    name: "--c360-g-kx-duration-short",
    syntax: "<length>",
    inherits: true,
    initialValue: "150ms",
  });
  /* Kinetics short duration */
  CSS.registerProperty({
    name: "--c360-g-kx-duration-x-short",
    syntax: "<length>",
    inherits: true,
    initialValue: "75ms",
  });
  /* Kinetics ease none */
  CSS.registerProperty({
    name: "--c360-g-kx-ease-none",
    syntax: "<length>",
    inherits: true,
    initialValue: "cubic-bezier(0, 0, 1, 1)",
  });
  /* Kinetics ease in */
  CSS.registerProperty({
    name: "--c360-g-kx-ease-in",
    syntax: "<length>",
    inherits: true,
    initialValue: "cubic-bezier(0.3, 0, 1, 0.3)",
  });
  /* Kinetics ease out */
  CSS.registerProperty({
    name: "--c360-g-kx-ease-out",
    syntax: "<length>",
    inherits: true,
    initialValue: "cubic-bezier(0, 0.3, 0.15, 1)",
  });
  /* Kinetics ease in-out */
  CSS.registerProperty({
    name: "--c360-g-kx-ease-in-out",
    syntax: "<length>",
    inherits: true,
    initialValue: "cubic-bezier(0.3, 0, 0.15, 1)",
  });
  /* Kinetics ease under */
  CSS.registerProperty({
    name: "--c360-g-kx-ease-under",
    syntax: "<length>",
    inherits: true,
    initialValue: "cubic-bezier(0.7, 0, 0.7, -0.75)",
  });
  /* Kinetics ease over */
  CSS.registerProperty({
    name: "--c360-g-kx-ease-over",
    syntax: "<length>",
    inherits: true,
    initialValue: "cubic-bezier(0.3, 1.75, 0.3, 1)",
  });
}
